<ng-container *ngIf="view === getViewEnum().Progress && visualizationData$ | async ">
	<kypo-viz-hurdling-settings
			[maximumTime]="maxTime"
			[timelineStepSize]="stepSize"
			(scaleRestrictionEvent)="scaleRestrictionEvent($event)"
			(restrictByTrainees)="restrictionTypeEvent($event, 'restrictToVisibleTrainees')"
			(restrictToTimeline)="restrictionTypeEvent($event, 'restrictToCustomTimelines')"
	></kypo-viz-hurdling-settings>
	<kypo-viz-progress
			id="viz-progress"
			[visualizationData]="visualizationData$ | async"
			[view]="view"
			[setDashboardView]="setDashboardView"
			[externalFilters]="externalFilters"
			[trainingInstanceId]="trainingInstanceId"
			[restrictToCustomTimelines]="restrictToCustomTimelines"
			[restrictToVisibleTrainees]="restrictToVisibleTrainees"
			[restriction]="restriction"
			(getMaxTime)="getMaxTime($event)"
			(getStepSize)="getStepSize($event)"
	></kypo-viz-progress>
</ng-container>

<ng-container *ngIf="view === getViewEnum().Overview && visualizationData$ | async ">
	<kypo-viz-hurdling
			[visualizationData]="visualizationData$ | async"
			[view]="view"
			[colorScheme]="colorScheme"
			[eventService]="colorScheme"
			[setDashboardView]="setDashboardView"
			[externalFilters]="externalFilters"
			[trainingColors]="trainingColors"
			[traineeColorScheme]="traineeColorScheme"
			[trainingInstanceId]="trainingInstanceId"
			[selectedTrainees]="selectedTrainees"
			(outputSelectedTrainees)="selectTrainees($event)"
			(highlightedTrainee)="emitHighlightedTrainee($event)">
	</kypo-viz-hurdling>
</ng-container>
